﻿using System;

namespace Achiral.Extension
{
    public static partial class MakeWorld
    {
        public static TResult Dispose<TResource, TResult>(this TResource resource, Func<TResource, TResult> func)
            where TResource : class, IDisposable
        {
            using (resource) return func(resource);
        }
    }
}